Holger's Java API

## com.antelmann.db
Class TransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.antelmann.db.DatabaseException
                          com.antelmann.db.TransactionException

All Implemented Interfaces:
  Serializable

    public class TransactionException

extends DatabaseException

thrown to indicate that the caller doesn't hold the lock on an active DBTransaction while trying to access Resources of the associated Database. Alternatively, this may be thrown if a transaction was set to begin although it already began.

Author:
  Holger Antelmann
See Also:
  `DBTransaction`, `DBClassStore`, Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`TransactionException(String msg)`
`TransactionException(String msg, Throwable cause)`
`TransactionException(Throwable cause)`

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionException

    public TransactionException(String msg)

### TransactionException

    public TransactionException(Throwable cause)

### TransactionException

    public TransactionException(String msg,
                                Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads